Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event
Interface LoadEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultLoadEventListener

    public interface LoadEventListener

extends Serializable

Defines the contract for handling of load events generated from a session.

Author:
  Steve Ebersole

Nested Class Summary
`static class` | `LoadEventListener.LoadType`

Field Summary
`static LoadEventListener.LoadType` | `GET`
`static LoadEventListener.LoadType` | `IMMEDIATE_LOAD`
`static LoadEventListener.LoadType` | `INTERNAL_LOAD_EAGER`
`static LoadEventListener.LoadType` | `INTERNAL_LOAD_LAZY`
`static LoadEventListener.LoadType` | `INTERNAL_LOAD_NULLABLE`
`static LoadEventListener.LoadType` | `LOAD`
`static LoadEventListener.LoadType` | `RELOAD`

Method Summary
`void` | `onLoad(LoadEvent event, LoadEventListener.LoadType loadType)` Handle the given load event.

Field Detail

### RELOAD

    static final LoadEventListener.LoadType RELOAD

### GET

    static final LoadEventListener.LoadType GET

### LOAD

    static final LoadEventListener.LoadType LOAD

### IMMEDIATE_LOAD

    static final LoadEventListener.LoadType IMMEDIATE_LOAD

### INTERNAL_LOAD_EAGER

    static final LoadEventListener.LoadType INTERNAL_LOAD_EAGER

### INTERNAL_LOAD_LAZY

    static final LoadEventListener.LoadType INTERNAL_LOAD_LAZY

### INTERNAL_LOAD_NULLABLE

    static final LoadEventListener.LoadType INTERNAL_LOAD_NULLABLE

Method Detail

### onLoad

    void onLoad(LoadEvent event,
                LoadEventListener.LoadType loadType)
                throws HibernateException

  Handle the given load event.

  Parameters:
    `event` - The load event to be handled.
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD